Subject: Git improvement for line feed processing: LF versus CR-LF

From: Francis ANDRE <[email-masked]>
Date: Mon, 08 Sep 2014 10:55:07 +0200

Hi

I am using git-gui on a project hosted  at GitHub and the project 
requirement is to commit only Unix ending with LF lines as show below

When contributing to POCO, please adhere to our coding style guide

All text file line endings in the repository must be Unix-style (LF). 
This includes Visual Studio project and solution files (.sln, .vcproj, 
.vcxproj, .vcxproj.filters).

But git-gui translates states:
warning: LF will be replaced by CRLF in file.txt. The file will have its 
original line endings in your working directory.

Could you add a option to git-gui to specify to translate or not the end 
of line of the cloned repository so that my fixes be accepted by the 
owner of the repository.

Thank